This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 05:01
Elapsed6m48s
Revision
Builderc1adebaa-73d5-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/1aaf1cea-8cb4-433a-be97-62b92c104f44/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/1aaf1cea-8cb4-433a-be97-62b92c104f44/targets/test
infra-commit1b9b50e18

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 05:01:23.375] process 29 exited with code 0 after 0.0m
I0401 05:01:23.376] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 05:01:23.376] Root: /workspace
I0401 05:01:23.376] cd to /workspace
I0401 05:01:23.376] Configure environment...
I0401 05:01:23.377] Call:  git show -s --format=format:%ct HEAD
W0401 05:01:23.380] fatal: not a git repository (or any of the parent directories): .git
I0401 05:01:23.381] process 42 exited with code 128 after 0.0m
W0401 05:01:23.381] Unable to print commit date for HEAD
I0401 05:01:23.381] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 05:01:23.918] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 05:01:24.797] process 43 exited with code 0 after 0.0m
I0401 05:01:24.797] Call:  gcloud config get-value account
I0401 05:01:25.661] process 56 exited with code 0 after 0.0m
I0401 05:01:25.661] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 05:01:25.662] Start 1245214569408761856 at ...
I0401 05:01:25.663] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_DlDrwO gs://kubernetes-jenkins/logs/metrics-kettle/1245214569408761856/started.json
I0401 05:01:28.565] process 69 exited with code 0 after 0.0m
I0401 05:01:28.565] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 05:01:28.593] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 05:08:01.653] ERROR: table k8s-gubernator:build.all is 22.0 hours old. Max allowed: 6 hours.
I0401 05:08:01.654] ERROR: table k8s-gubernator:build.week is 22.3 hours old. Max allowed: 6 hours.
I0401 05:08:01.654] ERROR: table k8s-gubernator:build.day is 21.8 hours old. Max allowed: 6 hours.
I0401 05:08:01.654] Collected data:
I0401 05:08:01.654] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 05:08:01.655] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 05:08:01.655] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 05:08:01.655] 
W0401 05:08:01.744] Traceback (most recent call last):
... skipping 22 lines ...
W0401 05:08:01.747]     self.send(msg)
W0401 05:08:01.747]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 05:08:01.747]     self.connect()
W0401 05:08:01.747]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 05:08:01.747]     conn = self._new_conn()
W0401 05:08:01.747]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 05:08:01.747]     self, "Failed to establish a new connection: %s" % e
W0401 05:08:01.748] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7ff55528e2e8>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 05:08:01.748] 
W0401 05:08:01.748] During handling of the above exception, another exception occurred:
W0401 05:08:01.748] 
W0401 05:08:01.748] Traceback (most recent call last):
W0401 05:08:01.748]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 05:08:01.748]     timeout=timeout
W0401 05:08:01.748]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 05:08:01.748]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 05:08:01.748]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 05:08:01.748]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 05:08:01.749] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff55528e2e8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 05:08:01.749] 
W0401 05:08:01.749] During handling of the above exception, another exception occurred:
W0401 05:08:01.749] 
W0401 05:08:01.749] Traceback (most recent call last):
W0401 05:08:01.749]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 05:08:01.749]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 05:08:01.751]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 05:08:01.751]     resp = self.send(prep, **send_kwargs)
W0401 05:08:01.751]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 05:08:01.751]     r = adapter.send(request, **kwargs)
W0401 05:08:01.751]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 05:08:01.751]     raise ConnectionError(e, request=request)
W0401 05:08:01.751] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff55528e2e8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 05:08:01.751] Traceback (most recent call last):
W0401 05:08:01.752]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 05:08:01.752]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 05:08:01.752]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 05:08:01.752]     check(*cmd)
W0401 05:08:01.752]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 05:08:01.752]     subprocess.check_call(cmd)
W0401 05:08:01.752]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 05:08:01.752]     raise CalledProcessError(retcode, cmd)
W0401 05:08:01.752] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 05:08:01.752] Command failed
I0401 05:08:01.753] process 251 exited with code 1 after 6.6m
E0401 05:08:01.753] FAIL: metrics-kettle
I0401 05:08:01.753] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 05:08:02.216] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 05:08:02.839] process 255 exited with code 0 after 0.0m
I0401 05:08:02.840] Call:  gcloud config get-value account
I0401 05:08:03.714] process 267 exited with code 0 after 0.0m
I0401 05:08:03.714] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 05:08:03.714] Upload result and artifacts...
I0401 05:08:03.715] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245214569408761856
W0401 05:08:03.715] Missing local artifacts : /workspace/_artifacts
W0401 05:08:03.715] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 05:08:03.715] metadata not found or invalid, init with empty metadata
I0401 05:08:03.715] Call:  git rev-parse HEAD
W0401 05:08:03.721] fatal: not a git repository (or any of the parent directories): .git
E0401 05:08:03.722] Command failed
I0401 05:08:03.722] process 280 exited with code 128 after 0.0m
I0401 05:08:03.722] Call:  git rev-parse HEAD
I0401 05:08:03.728] process 281 exited with code 0 after 0.0m
I0401 05:08:03.729] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 05:08:05.129] process 282 exited with code 0 after 0.0m
I0401 05:08:05.130] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585714076725376'
... skipping 8 lines ...